Imports System.Data.SqlClient
Imports Telerik.WebControls

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub RadGrid1_ItemDataBound(ByVal sender As Object, ByVal e As Telerik.WebControls.GridItemEventArgs) Handles RadGrid1.ItemDataBound
        If TypeOf e.Item Is GridDataItem Then
            Dim gridDataItem As GridDataItem = CType(e.Item, GridDataItem)
            Dim image As System.Web.UI.WebControls.Image = CType(gridDataItem("Image").FindControl("Image1"), System.Web.UI.WebControls.Image)
            image.ImageUrl = "Image.aspx?EmployeeID=" + gridDataItem("EmployeeID").Text
        End If
    End Sub

    Protected Sub RadGrid1_ItemCommand(ByVal source As Object, ByVal e As Telerik.WebControls.GridCommandEventArgs) Handles RadGrid1.ItemCommand
        Dim connection As SqlConnection = New SqlConnection(ConfigurationManager.ConnectionStrings("NorthwindConnectionString").ConnectionString)
        Dim cmd As SqlCommand = New SqlCommand
        cmd.Connection = connection
        If e.CommandName = "Update" Then
            Dim employeeID As String = RadGrid1.MasterTableView.DataKeyValues(e.Item.ItemIndex)("EmployeeID").ToString
            cmd.CommandText = String.Format("UPDATE Employees SET Photo=@Photo WHERE EmployeeID={0}", employeeID)
        End If
        If e.CommandName = "PerformInsert" Then
            cmd.CommandText = "INSERT INTO [Employees] ([LastName], [FirstName], [Photo]) VALUES (@LastName, @FirstName, @Photo)"
            cmd.Parameters.AddWithValue("@LastName", "tLN")
            cmd.Parameters.AddWithValue("@FirstName", "tFN")
        End If
        If Not (e.CommandName = "PerformInsert") And Not (e.CommandName = "Update") Then
            Return
        End If
        Dim gridEditFormItem As GridEditFormItem = CType(e.Item, GridEditFormItem)
        Dim FileUpload1 As FileUpload = CType(gridEditFormItem("Image").FindControl("FileUpload1"), FileUpload)
        If FileUpload1.HasFile Then
            Dim len As Integer = FileUpload1.PostedFile.ContentLength
            Dim pic(len + 78) As Byte
            FileUpload1.PostedFile.InputStream.Read(pic, 78, len)
            Try
                connection.Open()
                cmd.Parameters.AddWithValue("@Photo", pic)
                cmd.ExecuteNonQuery()
            Finally
                connection.Close()
            End Try
        Else
            e.Canceled = True
        End If
    End Sub
End Class
